Bug 81522

Summary: starting with --profile and --notabbar crashes
Product: konsole Reporter: Timo Veith <tv>
Component: generalAssignee: Konsole Developer <konsole-devel>
Status: RESOLVED FIXED    
Severity: crash    
Priority: NOR    
Version: 1.3.2   
Target Milestone: ---   
Platform: Gentoo Packages   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: my profile called "small"

Description Timo Veith 2004-05-13 18:52:58 UTC
Version:           1.3.2 (using KDE KDE 3.2.2)
Installed from:    Gentoo Packages
Compiler:          gcc-3.3.2-r5 CFLAGS="-march=pentium4 -O3 -pipe -fomit-frame-pointer -mmmx -msse -msse2 -mfpma
th=sse"
OS:                Linux

I deleted all file in every dir under ~/.kde*/share/apps/konsole/profiles/ with rm. I am not sure if this would have happened without deleting them before. I deleted them because I had 2 or 3 in every subdir (.kde3.1, .kde3 etc) and I wanted to start over cleanly because I never got it working that konsole looked like I wanted it to only by starting the appropriate profile with --profile

However I created a new profile after I set up everything to my linking (font size, menubar hidden, tabbar hidden, size of the window, background transparent to mc) and called it "small". Then I started it with konsole --profile small, but it came up bigger as I set it and the tabbar was visible also. So I decided to add --notabbar and some more options (--noresize, --vt_sz 80x25 etc) and tried again. I got SIGSEGV then (that crash message)

Then I left out options, trying these and those alternating, here is some output:

----8<----------
tv@gareth [~] konsole --profile small --notabbar --vt_sz 80x25 --noresize
Alarm clock
----8<----------

As you can see, this command line responded with "Alarm Clock" and nothing else. Another time I got this:

----8<----------
tv@gareth [~] konsole --profile small --notabbar
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
----8<----------

A console opened but the background wasn't updated correctly. I saw my desktop AND the windows on it. Normally I only see the background color of the desktop in a little darker tone.
Comment 1 Kurt Hindenburg 2004-06-10 17:10:02 UTC
konsole --profile small --notabbar --vt_sz 80x25 --noresize 
konsole --profile small --notabbar 

Both work fine with CVS (pre-3.3.0/qt-3.3.x).  Other profiles and command-line options also worked fine.  However, I don't have your small profile...

Attach your small profile....
Comment 2 Timo Veith 2004-06-10 23:03:28 UTC
Created attachment 6314 [details]
my profile called "small"

Here is my "small" profile for which you asked.

TIA

Timo
Comment 3 Timo Veith 2004-06-10 23:18:39 UTC
It wasn't easy to reproduce the crash, but finally I did it. The "trick" was to add --noresize not only the other options. It crashed then. Well, I tried it again just right now but it didn't crash ...
and once again ... no crash, everything seems ok
and once again ... not I get the alarm clock message
[1]-  Alarm clock             konsole --profile small --notabbar --vt_sz 80x25 --noresize
and once again ... no crash
and once again ... I get those kdeui messages
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.
kdeui (KRootPixmap): WARNING: [virtual bool KSharedPixmap::x11Event(XEvent*)] illegal selection notify event.
kdeui (KRootPixmap): WARNING: [krootpixmap.cpp:241] loading of desktop background failed.

and the konsole windows is here but the background is broken.

and once again ... it works ... 

Oh well I cannot tell you when it is crashing and when not. I think I will just leave off the --noresize option and it should work. Or please tell me how else I can help in finding this bug.

regards

Timo
Comment 4 Waldo Bastian 2004-12-20 14:38:38 UTC
CVS commit by waba: 

Fix crash with --noresize
BUG: 81522


  M +5 -0      TEWidget.cpp   1.219


--- kdebase/konsole/konsole/TEWidget.cpp  #1.218:1.219
@@ -1945,4 +1945,9 @@ void TEWidget::setFixedSize(int cols, in
   columns = cols;
   lines = lins;
+  if (image)
+  {
+     free(image);
+     makeImage();
+  }
   setSize(cols, lins);
   QFrame::setFixedSize(m_size);